summaryrefslogtreecommitdiff
path: root/checks/decrypt.test
diff options
context:
space:
mode:
authorKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:38 +0900
committerKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:38 +0900
commitf5660c6460a863b19f9ef745575780e37cc192a9 (patch)
tree0b478679da32d706de7b0de546d2e4daf03b160c /checks/decrypt.test
parent06b9124a4f9d38acc78e6af686bc49a06f6354f8 (diff)
downloadgnupg-2.0alpha.tar.gz
gnupg-2.0alpha.tar.bz2
gnupg-2.0alpha.zip
Diffstat (limited to 'checks/decrypt.test')
-rwxr-xr-xchecks/decrypt.test10
1 files changed, 10 insertions, 0 deletions
diff --git a/checks/decrypt.test b/checks/decrypt.test
new file mode 100755
index 0000000..aab4167
--- /dev/null
+++ b/checks/decrypt.test
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking decryption of supplied files
+for i in $plain_files ; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 -o y --yes $srcdir/$i.asc
+ cmp $i y || error "$i: mismatch"
+done
+